Bug 1120901 - [abrt] WARNING: CPU: 2 PID: 1491 at drivers/gpu/drm/i915/intel_pm.c:5997 intel_display_power_put+0x14c/0x160 [i915]()
Summary: [abrt] WARNING: CPU: 2 PID: 1491 at drivers/gpu/drm/i915/intel_pm.c:5997 inte...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ca934df46b18c99c6df24479d90...
: 1135512 1138473 1141913 1145222 1158716 1161696 1163589 1169109 1171288 1173996 1176458 1177005 1180542 1192180 1192645 1194237 1194700 1194943 1208949 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 00:20 UTC by Jared Smith
Modified: 2015-12-02 16:10 UTC (History)
51 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:16:37 UTC


Attachments (Terms of Use)
File: dmesg (189.61 KB, text/plain)
2014-07-18 00:20 UTC, Jared Smith
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 89698 None None None Never

Description Jared Smith 2014-07-18 00:20:24 UTC
Description of problem:
Unsuspended, then switched users

Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 2 PID: 1491 at drivers/gpu/drm/i915/intel_pm.c:5997 intel_display_power_put+0x14c/0x160 [i915]()
Modules linked in: usblp uas usb_storage fuse xt_addrtype xt_CHECKSUM tun ipt_MASQUERADE dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ccm nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep iTCO_wdt iTCO_vendor_support arc4 vfat fat x86_pkg_temp_thermal coretemp kvm_intel kvm microcode uvcvideo snd_hda_codec_realtek iwlmvm snd_hda_codec_generic snd_hda_codec_hdmi videobuf2_vmalloc mac80211 videobuf2_memops videobuf2_core serio_raw v4l2_common snd_hda_intel videodev snd_hda_controller i2c_i801 media snd_hda_codec snd_hwdep joydev snd_seq iwlwifi snd_seq_device cfg80211 btusb lpc_ich bluetooth mfd_core snd_pcm mei_me mei shpchp snd_timer thinkpad_acpi snd soundcore rfkill tpm_tis tpm i2c_designware_platform wmi i2c_designware_core binfmt_misc ec_sys sunrpc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core i2c_core video hid_logitech_dj
CPU: 2 PID: 1491 Comm: Xorg.bin Not tainted 3.16.0-0.rc4.git3.1.fc21.x86_64 #1
Hardware name: LENOVO 20A7002QUS/20A7002QUS, BIOS GRET37WW (1.14 ) 05/08/2014
 0000000000000000 00000000575d78f9 ffff8800cf097a98 ffffffff8180840c
 0000000000000000 ffff8800cf097ad0 ffffffff8109b3ed ffff88003f7f002c
 000000000000000b ffff88003f7fa058 ffff88020df3b000 ffff88003f7f0000
Call Trace:
 [<ffffffff8180840c>] dump_stack+0x4d/0x66
 [<ffffffff8109b3ed>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8109b51a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0126e4c>] intel_display_power_put+0x14c/0x160 [i915]
 [<ffffffffa0174664>] modeset_update_crtc_power_domains+0x224/0x230 [i915]
 [<ffffffff810ff72d>] ? trace_hardirqs_on_caller+0x15d/0x200
 [<ffffffffa017467e>] haswell_modeset_global_resources+0xe/0x10 [i915]
 [<ffffffffa0175204>] __intel_set_mode+0x614/0x1690 [i915]
 [<ffffffffa0178ac6>] intel_set_mode+0x16/0x30 [i915]
 [<ffffffffa0179c32>] intel_crtc_set_config+0xa52/0xdc0 [i915]
 [<ffffffffa0046217>] drm_mode_set_config_internal+0x67/0xf0 [drm]
 [<ffffffffa004a16b>] drm_mode_setcrtc+0x2ab/0x5b0 [drm]
 [<ffffffffa0039cdf>] drm_ioctl+0x1df/0x6a0 [drm]
 [<ffffffff8136fde1>] ? inode_has_perm.isra.47+0x51/0x90
 [<ffffffff81262eb0>] do_vfs_ioctl+0x2f0/0x520
 [<ffffffff8126f425>] ? __fget+0x5/0x2f0
 [<ffffffff81263161>] SyS_ioctl+0x81/0xa0
 [<ffffffff8116026c>] ? __audit_syscall_entry+0x9c/0xf0
 [<ffffffff81812029>] system_call_fastpath+0x16/0x1b

Comment 1 Jared Smith 2014-07-18 00:20:27 UTC
Created attachment 918884 [details]
File: dmesg

Comment 2 Petr Schindler 2014-08-08 18:04:25 UTC
Could I ask what's the state of this bug? I see it very often. This happens when I lock my screen and the screen turns off.

Version: 3.16.0-1.fc21.x86_64

Comment 3 Michal Schmidt 2014-10-03 13:46:57 UTC
*** Bug 1135512 has been marked as a duplicate of this bug. ***

Comment 4 mjvaisane 2014-11-03 13:26:50 UTC
I can confirm this still with kernel 3.17.2-300.fc21.x86_64.

Happens quite often when I lock screen when using multi-monitor setup.

Comment 5 Adam Jackson 2014-11-18 20:07:35 UTC
*** Bug 1138473 has been marked as a duplicate of this bug. ***

Comment 6 Adam Jackson 2014-11-18 20:07:39 UTC
*** Bug 1141913 has been marked as a duplicate of this bug. ***

Comment 7 Adam Jackson 2014-11-18 20:07:43 UTC
*** Bug 1145222 has been marked as a duplicate of this bug. ***

Comment 8 Adam Jackson 2014-11-18 20:07:47 UTC
*** Bug 1158716 has been marked as a duplicate of this bug. ***

Comment 9 Adam Jackson 2014-11-18 20:07:50 UTC
*** Bug 1161696 has been marked as a duplicate of this bug. ***

Comment 10 Adam Jackson 2014-11-18 20:07:55 UTC
*** Bug 1163589 has been marked as a duplicate of this bug. ***

Comment 11 Fred van Zwieten 2014-12-10 13:09:12 UTC
Also still here with 3.17.4-301. Pretty annoying...

Is there a known workaround?

Comment 12 Bryan Mason 2014-12-13 00:40:14 UTC
Getting this with kernel 3.17.4-302.fc21.x86_64 on a Thnkpad T440s when coming out of suspend.  Please let me know if there's anything I can do to help diagnose this.

Comment 13 Anatoly Litovsky 2015-01-09 06:17:29 UTC
one more trace to this bug
[62393.863578] ------------[ cut here ]------------
[62393.863603] WARNING: CPU: 2 PID: 24972 at drivers/gpu/drm/i915/intel_pm.c:6312 intel_display_power_put+0x14c/0x160 [i915]()
[62393.863604] Modules linked in: vhost_net vhost macvtap macvlan nls_utf8 isofs loop bnep fuse xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 uvcvideo btusb videobuf2_vmalloc videobuf2_memops bluetooth videobuf2_core v4l2_common videodev media x86_pkg_temp_thermal coretemp kvm_intel iTCO_wdt iTCO_vendor_support iwlmvm kvm mac80211 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi iwlwifi snd_hda_intel
[62393.863626]  snd_hda_controller snd_hda_codec cfg80211 snd_hwdep snd_seq snd_seq_device joydev serio_raw rtsx_pci_ms snd_pcm memstick thinkpad_acpi wmi snd_timer snd mei_me tpm_tis mei rfkill tpm shpchp soundcore i2c_i801 lpc_ich binfmt_misc vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) dm_crypt i915 rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul mmc_core crc32c_intel i2c_algo_bit drm_kms_helper e1000e drm ghash_clmulni_intel rtsx_pci ptp mfd_core pps_core video
[62393.863643] CPU: 2 PID: 24972 Comm: kworker/2:0 Tainted: G        W  OE  3.17.7-300.fc21.x86_64 #1
[62393.863644] Hardware name: LENOVO 20ARS19C02/20ARS19C02, BIOS GJET77WW (2.27 ) 05/20/2014
[62393.863657] Workqueue: events edp_panel_vdd_work [i915]
[62393.863658]  0000000000000000 0000000061dc9b2e ffff8800526a3d38 ffffffff817401ea
[62393.863660]  0000000000000000 ffff8800526a3d70 ffffffff810970bd ffff88030914002c
[62393.863661]  000000000000000b ffff880309148610 ffff88030cd8e000 ffff880309140000
[62393.863663] Call Trace:
[62393.863667]  [<ffffffff817401ea>] dump_stack+0x45/0x56
[62393.863670]  [<ffffffff810970bd>] warn_slowpath_common+0x7d/0xa0
[62393.863672]  [<ffffffff810971ea>] warn_slowpath_null+0x1a/0x20
[62393.863679]  [<ffffffffa013e2ec>] intel_display_power_put+0x14c/0x160 [i915]
[62393.863690]  [<ffffffffa01a9924>] edp_panel_vdd_off_sync+0xf4/0x1e0 [i915]
[62393.863700]  [<ffffffffa01a9a74>] edp_panel_vdd_work+0x34/0x50 [i915]
[62393.863703]  [<ffffffff810af89d>] process_one_work+0x14d/0x400
[62393.863705]  [<ffffffff810b022b>] worker_thread+0x6b/0x4a0
[62393.863707]  [<ffffffff810b01c0>] ? rescuer_thread+0x2a0/0x2a0
[62393.863709]  [<ffffffff810b530a>] kthread+0xea/0x100
[62393.863710]  [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
[62393.863713]  [<ffffffff817472fc>] ret_from_fork+0x7c/0xb0
[62393.863714]  [<ffffffff810b5220>] ? kthread_create_on_node+0x1a0/0x1a0
[62393.863715] ---[ end trace 910e3193841f08eb ]---

Lenovo t440 

3.17.7-300.fc21.x86_64

Comment 14 Artem Hluvchynskyi 2015-01-27 13:10:24 UTC
Same thing on 3.18.3-201.fc21.x86_64.

Very annoying when this happens on the screen lock. Screen can't be effectively turned off on lock with multi-monitor setup, unless ABRT notifications are switched off in GNOME. Otherwise notifications cause screen to be powered on again.

Comment 15 Phil 2015-02-02 09:25:12 UTC
same here.
Lenovo Carbon X1 (2014)
kernel 3.18.3-201.fc21.x86_64

------------[ cut here ]------------
WARNING: CPU: 0 PID: 3536 at drivers/gpu/drm/i915/intel_pm.c:6585 intel_display_power_put+0x15c/0x170 [i915]()
Modules linked in: usb_serial_simple authenc esp4 xfrm4_mode_tunnel xt_CHECKSUM tun deflate twofish_generic twofish_avx_x86_64 twofish_x86_64_3way twofish_x86_64 twofish_common camellia_generic camellia_aesni_avx2 camellia_aesni_avx_x86_64 camellia_x86_64 serpent_avx2 xt_addrtype serpent_avx_x86_64 serpent_sse2_x86_64 serpent_generic ipt_MASQUERADE nf_nat_masquerade_ipv4 blowfish_generic blowfish_x86_64 blowfish_common cast5_avx_x86_64 cast5_generic cast_common des3_ede_x86_64 des_generic cmac xcbc dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c rmd160 loop sha512_ssse3 sha512_generic crypto_null af_key ccm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables
ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 vfat intel_rapl fat x86_pkg_temp_thermal coretemp iwlmvm iTCO_wdt mac80211 iTCO_vendor_support uvcvideo kvm videobuf2_vmalloc videobuf2_core iwlwifi videobuf2_memops v4l2_common cfg80211 videodev snd_hda_codec_realtek joydev snd_usb_audio snd_hda_codec_hdmi snd_hda_codec_generic serio_raw media btusb snd_hda_intel bluetooth lpc_ich snd_hda_controller mfd_core i2c_i801 hid_multitouch cdc_acm cdc_ether snd_usbmidi_lib snd_rawmidi snd_hda_codec hid_logitech_dj snd_hwdep snd_seq snd_seq_device mei_me mei shpchp snd_pcm thinkpad_acpi
wmi snd_timer rfkill tpm_tis snd tpm i2c_designware_platform i2c_designware_core soundcore nfsd auth_rpcgss nfs_acl lockd grace binfmt_misc sunrpc dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel drm e1000e ghash_clmulni_intel ptp pps_core video
CPU: 0 PID: 3536 Comm: kworker/0:2 Tainted: G        W      3.18.3-201.fc21.x86_64 #1
Hardware name: LENOVO 20A7008JGE/20A7008JGE, BIOS GRET40WW (1.17 ) 09/02/2014
Workqueue: events edp_panel_vdd_work [i915]
0000000000000000 00000000a26edfa0 ffff88021056bd28 ffffffff8175da66
0000000000000000 0000000000000000 ffff88021056bd68 ffffffff81099181
ffff88021056bd48 ffff88003f85002c 000000000000000b ffff88003f858848
Call Trace:
[<ffffffff8175da66>] dump_stack+0x46/0x58
[<ffffffff81099181>] warn_slowpath_common+0x81/0xa0
[<ffffffff8109929a>] warn_slowpath_null+0x1a/0x20
[<ffffffffa010bb2c>] intel_display_power_put+0x15c/0x170 [i915]
[<ffffffffa017b72d>] pps_unlock+0x3d/0x50 [i915]
[<ffffffffa017db49>] edp_panel_vdd_work+0x39/0x40 [i915]
[<ffffffff810b240d>] process_one_work+0x14d/0x400
[<ffffffff810b2d9b>] worker_thread+0x6b/0x4a0
[<ffffffff810b2d30>] ? rescuer_thread+0x2a0/0x2a0
[<ffffffff810b7fea>] kthread+0xea/0x100
[<ffffffff8113aa64>] ? __audit_syscall_entry+0xc4/0x120
[<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0
[<ffffffff817646fc>] ret_from_fork+0x7c/0xb0
[<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0
---[ end trace 362c8615ea812602 ]---

Comment 16 Steven Ellis 2015-02-02 21:40:57 UTC
*** Bug 1171288 has been marked as a duplicate of this bug. ***

Comment 17 Steven Ellis 2015-02-02 21:41:02 UTC
*** Bug 1169109 has been marked as a duplicate of this bug. ***

Comment 18 Steven Ellis 2015-02-02 21:43:24 UTC
Some more stack traces off a T440s running Fedora 21 and 3.18.3-201.fc21.x86_64

[299434.884815] ------------[ cut here ]------------
[299434.884853] WARNING: CPU: 0 PID: 12107 at drivers/gpu/drm/i915/intel_pm.c:6585 intel_display_power_put+0x15c/0x170 [i915]()
[299434.884871] Modules linked in: ccm hid_logitech_dj cdc_ether usbnet mii vhost_net vhost macvtap macvlan rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun snd_pcm_oss snd_mixer_oss nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c arc4 iTCO_wdt iTCO_vendor_support btusb bluetooth uvcvideo iwlmvm videobuf2_vmalloc videobuf2_core mac80211 videobuf2_memops
[299434.884889]  v4l2_common usblp videodev intel_rapl x86_pkg_temp_thermal coretemp kvm_intel iwlwifi snd_hda_codec_realtek media snd_hda_codec_generic kvm snd_hda_codec_hdmi cfg80211 snd_hda_intel snd_hda_controller snd_hda_codec joydev snd_hwdep serio_raw snd_seq rtsx_pci_ms lpc_ich memstick i2c_i801 snd_seq_device snd_pcm wmi thinkpad_acpi tpm_tis tpm snd_timer rfkill mei_me mei snd shpchp soundcore nfsd auth_rpcgss nfs_acl lockd grace binfmt_misc sunrpc dm_crypt uas usb_storage i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit crct10dif_pclmul crc32_pclmul drm_kms_helper crc32c_intel drm ghash_clmulni_intel e1000e rtsx_pci ptp mfd_core pps_core video
[299434.884891] CPU: 0 PID: 12107 Comm: kworker/0:2 Tainted: G        W      3.18.3-201.fc21.x86_64 #1
[299434.884892] Hardware name: LENOVO 20ARS19E00/20ARS19E00, BIOS GJET75WW (2.25 ) 03/28/2014
[299434.884907] Workqueue: events edp_panel_vdd_work [i915]
[299434.884909]  0000000000000000 00000000844ef912 ffff88013bd67d28 ffffffff8175da66
[299434.884910]  0000000000000000 0000000000000000 ffff88013bd67d68 ffffffff81099181
[299434.884912]  ffff88013bd67d48 ffff880308e7002c 000000000000000b ffff880308e78848
[299434.884912] Call Trace:
[299434.884916]  [<ffffffff8175da66>] dump_stack+0x46/0x58
[299434.884918]  [<ffffffff81099181>] warn_slowpath_common+0x81/0xa0
[299434.884920]  [<ffffffff8109929a>] warn_slowpath_null+0x1a/0x20
[299434.884929]  [<ffffffffa013db2c>] intel_display_power_put+0x15c/0x170 [i915]
[299434.884942]  [<ffffffffa01ad72d>] pps_unlock+0x3d/0x50 [i915]
[299434.884955]  [<ffffffffa01afb49>] edp_panel_vdd_work+0x39/0x40 [i915]
[299434.884957]  [<ffffffff810b240d>] process_one_work+0x14d/0x400
[299434.884959]  [<ffffffff810b2d9b>] worker_thread+0x6b/0x4a0
[299434.884961]  [<ffffffff810b2d30>] ? rescuer_thread+0x2a0/0x2a0
[299434.884962]  [<ffffffff810b7fea>] kthread+0xea/0x100
[299434.884964]  [<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0
[299434.884966]  [<ffffffff817646fc>] ret_from_fork+0x7c/0xb0
[299434.884968]  [<ffffffff810b7f00>] ? kthread_create_on_node+0x1b0/0x1b0
[299434.884969] ---[ end trace 7de8f82645f1270b ]---
[299434.884969] ------------[ cut here ]------------

Comment 19 Steven Ellis 2015-02-02 21:48:06 UTC
*** Bug 1180542 has been marked as a duplicate of this bug. ***

Comment 20 paul 2015-02-04 21:22:34 UTC
I have a Dell M3800 and have thousands of these traces on 3.18.3-201.fc21.x86_64

Whilst looking up the issue, I came across a patch here but haven't yet tried it:
http://lkml.org/lkml/2014/7/22/691

I don't see this patch applied to 3.18 or 3.19

I haven't tried it yet though.

Comment 21 Yaroslav Pronin 2015-02-06 09:44:10 UTC
The same problem on MacBook Air 2014 in the transition to the standby mode. After that set the brightness below 90% is not possible, the screen goes off completely. I think the problem in the module wl.
WARNING: CPU: 3 PID: 86 at drivers/gpu/drm/i915/intel_pm.c:6585 intel_display_power_put+0x15c/0x170 [i915]() [i915]

Comment 22 Artem Hluvchynskyi 2015-02-06 18:24:16 UTC
Seems to be gone for me with 3.18.5-201.fc21.x86_64.

Comment 23 Ihar Hrachyshka 2015-02-08 10:28:54 UTC
Another stack trace, now from brightness_store()

WARNING: CPU: 0 PID: 1434 at drivers/gpu/drm/i915/intel_pm.c:6560 intel_display_power_put+0x15c/0x170 [i915]()
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iwlmvm mac80211 uvcvideo videobuf2_vmalloc iwlwifi intel_rapl videobuf2_core x86_pkg_temp_thermal coretemp kvm_intel iTCO_wdt iTCO_vendor_support videobuf2_memops cfg80211 kvm v4l2_common videodev snd_hda_codec_realtek snd_hda_codec_generic btusb snd_hda_codec_hdmi bluetooth snd_hda_intel
 snd_hda_controller snd_hda_codec media snd_hwdep snd_seq snd_seq_device rtsx_pci_ms snd_pcm serio_raw i2c_i801 memstick lpc_ich shpchp thinkpad_acpi snd_timer mei_me snd wmi mei tpm_tis rfkill tpm soundcore nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_thin_pool dm_persistent_data libcrc32c dm_bio_prison dm_crypt i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e drm ghash_clmulni_intel rtsx_pci mfd_core ptp pps_core video
CPU: 0 PID: 1434 Comm: Xorg.bin Not tainted 3.18.5-201.fc21.x86_64 #1
Hardware name: LENOVO 20ARS19C05/20ARS19C05, BIOS GJET78WW (2.28 ) 07/29/2014
 0000000000000000 0000000053ecc9d9 ffff880035ad7c08 ffffffff8175e196
 0000000000000000 0000000000000000 ffff880035ad7c48 ffffffff810991a1
 ffff880309c96860 ffff880308fb002c ffff880308fb0000 ffff880308fb8848
Call Trace:
 [<ffffffff8175e196>] dump_stack+0x46/0x58
 [<ffffffff810991a1>] warn_slowpath_common+0x81/0xa0
 [<ffffffff810992ba>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0147a8c>] intel_display_power_put+0x15c/0x170 [i915]
 [<ffffffffa0199943>] intel_crtc_control+0x93/0x120 [i915]
 [<ffffffffa0199a37>] intel_crtc_update_dpms+0x67/0x80 [i915]
 [<ffffffffa01a3701>] intel_connector_dpms+0x61/0x70 [i915]
 [<ffffffffa0042809>] drm_mode_obj_set_property_ioctl+0x369/0x370 [drm]
 [<ffffffffa004284f>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
 [<ffffffffa0032aaf>] drm_ioctl+0x1df/0x680 [drm]
 [<ffffffff81402b8e>] ? brightness_store+0xee/0x120
 [<ffffffff8122a100>] do_vfs_ioctl+0x2d0/0x4b0
 [<ffffffff81217f01>] ? kill_block_super+0x31/0x80
 [<ffffffff8122a361>] SyS_ioctl+0x81/0xa0
 [<ffffffff8122c5dd>] ? SyS_poll+0x6d/0x120
 [<ffffffff81764ee9>] system_call_fastpath+0x12/0x17

Got it on latest f21 kernel.

Comment 24 paul 2015-02-08 16:52:19 UTC
This seemed to go away for a couple of days but happened again after a suspend on 3.18.5-201.fc21.x86_64

Comment 25 Philip Prindeville 2015-02-12 06:13:23 UTC
(In reply to Artem Hluvchynskyi from comment #22)
> Seems to be gone for me with 3.18.5-201.fc21.x86_64.

I'm running 3.18.5-201.fc21.x86_64 on a Dell E5540 and I'm seeing it.

Comment 26 Teraya 2015-02-18 20:30:51 UTC
Dell Inc. Latitude E5440
3.18.7-200.fc21.x86_64

Comment 27 Artem Hluvchynskyi 2015-02-21 14:14:51 UTC
Haven't been seeing this since my last comment and now caught it again. However, it went away after reboot. How odd. Additionally, while trying to reproduce it (with no luck), failed to successfully resume after suspend a few times. System appears to wake up but both monitors are blank. Not sure if this is related.

Currently on 3.18.7-200.fc21.x86_64.

Comment 28 paul 2015-03-06 19:33:22 UTC
I applied the patch mentioned in comment 20 (two line patch), 4 days ago, to 3.18.7-200. I haven't had the issue in the last 4 days through multiple pm-suspends, lid closes, and pm-hibernates. I still have an issue with suspend occasionally failing due to a USB controller failing to suspend every so often, but I believe that is a separate issue.

Comment 29 Philip Prindeville 2015-03-07 21:56:20 UTC
(In reply to paul from comment #28)
> I applied the patch mentioned in comment 20 (two line patch), 4 days ago, to
> 3.18.7-200. I haven't had the issue in the last 4 days through multiple
> pm-suspends, lid closes, and pm-hibernates. I still have an issue with
> suspend occasionally failing due to a USB controller failing to suspend
> every so often, but I believe that is a separate issue.

Yup, I also applied that patch and haven't had the problem.  Here's my build:

http://fedorapeople.org/~philipp/kernel/

Comment 30 Philip Prindeville 2015-03-07 22:01:21 UTC
Oh, and the stack trace that I was getting was the same:


Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925454] WARNING: CPU: 0 PID: 4146 at drivers/gpu/drm/i915/intel_pm.c:6560 intel_display_power_put+0x15c/0x170 [i915]()
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925458] Modules linked in: ccm vhost_net vhost macvtap macvlan rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi intel_rapl snd_hda_intel x86_pkg_temp_thermal arc4 coretemp snd_hda_controller snd_hda_codec kvm_intel snd_hwdep iwlmvm mac80211 snd_seq snd_seq_device dell_wmi kvm iTCO_wdt btusb iTCO_vendor_support crct10dif_pclmul crc32_pclmul sparse_keymap bluetooth sdhci_pci ppdev crc32c_intel dell_laptop dcdbas snd_pcm sdhci ghash_clmulni_intel iwlwifi cfg80211 snd_timer rfkill mmc_core snd uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media soundcore joydev tpm_tis tpm serio_raw i2c_i801 lpc_ich mei_me mei parport_pc parport shpchp mfd_core dell_smo8800 nouveau i915 ttm i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core mxm_wmi video wmi
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925579] CPU: 0 PID: 4146 Comm: kworker/0:1 Tainted: G        W      3.18.7-200.fc21.x86_64 #1
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925583] Hardware name: Dell Inc. Latitude E5540/01389M, BIOS A04 01/22/2014
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925627] Workqueue: events edp_panel_vdd_work [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925631]  0000000000000000 00000000d7d0a232 ffff8802483a3d28 ffffffff8175e686
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925636]  0000000000000000 0000000000000000 ffff8802483a3d68 ffffffff810991d1
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925641]  ffff8802483a3d48 ffff880414d6002c ffff880414d60000 ffff880414d68848
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925646] Call Trace:
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925657]  [<ffffffff8175e686>] dump_stack+0x46/0x58
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925666]  [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925672]  [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925701]  [<ffffffffa011ba7c>] intel_display_power_put+0x15c/0x170 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925744]  [<ffffffffa018c1ed>] pps_unlock+0x3d/0x50 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925784]  [<ffffffffa018e609>] edp_panel_vdd_work+0x39/0x40 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925793]  [<ffffffff810b245d>] process_one_work+0x14d/0x400
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925800]  [<ffffffff810b2deb>] worker_thread+0x6b/0x480
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925807]  [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925812]  [<ffffffff810b801a>] kthread+0xea/0x100
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925823]  [<ffffffff8113aba4>] ? __audit_syscall_entry+0xc4/0x120
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925829]  [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925839]  [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925844]  [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925847] ---[ end trace 5d9633530b9cb250 ]---
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925850] ------------[ cut here ]------------

and:


Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925874] WARNING: CPU: 0 PID: 4146 at drivers/gpu/drm/i915/intel_pm.c:6564 intel_display_power_put+0xfc/0x170 [i915]()
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925876] Modules linked in: ccm vhost_net vhost macvtap macvlan rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi intel_rapl snd_hda_intel x86_pkg_temp_thermal arc4 coretemp snd_hda_controller snd_hda_codec kvm_intel snd_hwdep iwlmvm mac80211 snd_seq snd_seq_device dell_wmi kvm iTCO_wdt btusb iTCO_vendor_support crct10dif_pclmul crc32_pclmul sparse_keymap bluetooth sdhci_pci ppdev crc32c_intel dell_laptop dcdbas snd_pcm sdhci ghash_clmulni_intel iwlwifi cfg80211 snd_timer rfkill mmc_core snd uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media soundcore joydev tpm_tis tpm serio_raw i2c_i801 lpc_ich mei_me mei parport_pc parport shpchp mfd_core dell_smo8800 nouveau i915 ttm i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core mxm_wmi video wmi
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925978] CPU: 0 PID: 4146 Comm: kworker/0:1 Tainted: G        W      3.18.7-200.fc21.x86_64 #1
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.925981] Hardware name: Dell Inc. Latitude E5540/01389M, BIOS A04 01/22/2014
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926016] Workqueue: events edp_panel_vdd_work [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926019]  0000000000000000 00000000d7d0a232 ffff8802483a3d28 ffffffff8175e686
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926024]  0000000000000000 0000000000000000 ffff8802483a3d68 ffffffff810991d1
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926028]  ffff8802483a3d48 ffffffffa01dd8c0 0000000000000000 ffff880414d68848
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926033] Call Trace:
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926039]  [<ffffffff8175e686>] dump_stack+0x46/0x58
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926045]  [<ffffffff810991d1>] warn_slowpath_common+0x81/0xa0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926055]  [<ffffffff810992ea>] warn_slowpath_null+0x1a/0x20
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926081]  [<ffffffffa011ba1c>] intel_display_power_put+0xfc/0x170 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926119]  [<ffffffffa018c1ed>] pps_unlock+0x3d/0x50 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926156]  [<ffffffffa018e609>] edp_panel_vdd_work+0x39/0x40 [i915]
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926163]  [<ffffffff810b245d>] process_one_work+0x14d/0x400
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926169]  [<ffffffff810b2deb>] worker_thread+0x6b/0x480
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926176]  [<ffffffff810b2d80>] ? rescuer_thread+0x2a0/0x2a0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926181]  [<ffffffff810b801a>] kthread+0xea/0x100
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926188]  [<ffffffff8113aba4>] ? __audit_syscall_entry+0xc4/0x120
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926193]  [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926200]  [<ffffffff8176537c>] ret_from_fork+0x7c/0xb0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926205]  [<ffffffff810b7f30>] ? kthread_create_on_node+0x1b0/0x1b0
Mar  4 00:17:47 eng-dhcp-123 kernel: [480221.926208] ---[ end trace 5d9633530b9cb251 ]---
Mar  4 00:17:47 eng-dhcp-123 kernel: ------------[ cut here ]------------

Comment 31 Philip Prindeville 2015-03-10 18:09:31 UTC
Well, the display (external) is definitely powering down now, but I'm seeing something I wasn't seeing before:

Mar 10 11:46:03 eng-dhcp-123 kernel: [321441.212112] [drm:assert_plane] *ERROR* plane A assertion failure (expected on, current off)
Mar 10 11:46:03 eng-dhcp-123 kernel: [drm:assert_plane] *ERROR* plane A assertion failure (expected on, current off)
Mar 10 11:48:12 eng-dhcp-123 kernel: [321570.250953] [drm:assert_plane] *ERROR* plane A assertion failure (expected on, current off)
Mar 10 11:48:12 eng-dhcp-123 kernel: [drm:assert_plane] *ERROR* plane A assertion failure (expected on, current off)

is this a related regression or something completely new?

Comment 32 Philip Prindeville 2015-03-20 18:46:29 UTC
I've been successfully using the patch in comment #20 for 2 weeks and it works fine.  But it's a pain to have to rebuild my kernel from sources every few days.

Can we move to cloture on this, please?

Comment 33 Philip Prindeville 2015-03-20 19:55:45 UTC
Surprisingly there wasn't an upstream bug that I could find.

So I opened one:

https://bugs.freedesktop.org/show_bug.cgi?id=89698

Comment 34 Julius B. 2015-03-21 08:03:23 UTC
I'm using the Vanilla kernels from https://fedoraproject.org/wiki/Kernel_Vanilla_Repositories for a few month now, and it never happened again from 3.19 onwards. This corresponds with comments from the upstream bug saying it should be fixed in 3.19.

So, since there seem to be many people affected, would it be possible to either backport the fix to Fedora's 3.18, or (even better) re-base to 3.19? (I had many different problems with 4.0-rc{1..3}, so this might not be a good candidate).

Comment 35 paul 2015-03-21 16:05:40 UTC
That's odd because I tried 3.19 and I'm sure it didn't solve the issue. I went back to the fc21 kernel and keep applying the patch above.

Comment 36 Artem Hluvchynskyi 2015-03-25 12:13:15 UTC
Probably there are different causes to this (and similar) tracebacks. I don't experience this issue after many suspend-resume cycles (with external monitor connected and disconnected) after upgrading to 3.19.1-201.fc21.x86_64. Before it has been reproducible irregularly after several suspend-resume cycles.

Comment 37 Philip Prindeville 2015-03-25 17:44:58 UTC
(In reply to Felix Zweig from comment #34)
> I'm using the Vanilla kernels from
> https://fedoraproject.org/wiki/Kernel_Vanilla_Repositories for a few month
> now, and it never happened again from 3.19 onwards. This corresponds with
> comments from the upstream bug saying it should be fixed in 3.19.

I got the 3.19.1-201.fc21 from updates-testing and rebooted into it; while the issue previously used to present itself right away when going into DPMS suspend mode, I'm currently not seeing it.

Comment 38 Philip Prindeville 2015-04-10 00:38:13 UTC
(In reply to Philip Prindeville from comment #37)
> (In reply to Felix Zweig from comment #34)
> > I'm using the Vanilla kernels from
> > https://fedoraproject.org/wiki/Kernel_Vanilla_Repositories for a few month
> > now, and it never happened again from 3.19 onwards. This corresponds with
> > comments from the upstream bug saying it should be fixed in 3.19.
> 
> I got the 3.19.1-201.fc21 from updates-testing and rebooted into it; while
> the issue previously used to present itself right away when going into DPMS
> suspend mode, I'm currently not seeing it.

Had undocked and didn't notice the problem, but then when I redocked I saw the issue all over again:

Apr  9 18:13:35 eng-dhcp-123 kernel: ------------[ cut here ]------------
Apr  9 18:13:35 eng-dhcp-123 kernel: WARNING: CPU: 0 PID: 3955 at drivers/gpu/drm/i915/intel_runtime_pm.c:676 intel_display_power_put+0x163/0x170 [i915]()
Apr  9 18:13:35 eng-dhcp-123 kernel: WARN_ON(!power_domains->domain_use_count[domain])
Apr  9 18:13:35 eng-dhcp-123 kernel: Modules linked in:
Apr  9 18:13:35 eng-dhcp-123 kernel: vhost_net vhost macvtap macvlan rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 iwlmvm mac80211 dell_laptop intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp dcdbas iTCO_wdt dell_wmi uvcvideo kvm_intel ppdev iTCO_vendor_support sparse_keymap i8k videobuf2_vmalloc kvm videobuf2_core snd_hda_codec_realtek crct10dif_pclmul crc32_pclmul iwlwifi snd_hda_codec_generic
Apr  9 18:13:35 eng-dhcp-123 kernel: snd_hda_codec_hdmi crc32c_intel videobuf2_memops btusb v4l2_common bluetooth videodev media snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep ghash_clmulni_intel snd_seq joydev sdhci_pci sdhci tpm_tis parport_pc serio_raw snd_seq_device cfg80211 snd_pcm snd_timer mmc_core parport i2c_i801 tpm snd lpc_ich rfkill mfd_core mei_me shpchp soundcore mei dell_smo8800 i915 nouveau ttm i2c_algo_bit drm_kms_helper drm e1000e ptp pps_core mxm_wmi wmi video
Apr  9 18:13:35 eng-dhcp-123 kernel: CPU: 0 PID: 3955 Comm: kworker/0:1 Tainted: G        W      3.19.1-201.fc21.x86_64 #1
Apr  9 18:13:35 eng-dhcp-123 kernel: Hardware name: Dell Inc. Latitude E5540/01389M, BIOS A04 01/22/2014
Apr  9 18:13:35 eng-dhcp-123 kernel: Workqueue: events edp_panel_vdd_work [i915]
Apr  9 18:13:35 eng-dhcp-123 kernel: 0000000000000000 00000000872944e9 ffff8800caf0bcc8 ffffffff8176d865
Apr  9 18:13:35 eng-dhcp-123 kernel: 0000000000000000 ffff8800caf0bd20 ffff8800caf0bd08 ffffffff8109bc0a
Apr  9 18:13:35 eng-dhcp-123 kernel: ffff8800caf0bce8 ffff8804182b002c ffff8804182b0000 ffff8804182b8980
Apr  9 18:13:35 eng-dhcp-123 kernel: Call Trace:
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff8176d865>] dump_stack+0x45/0x57
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff8109bc0a>] warn_slowpath_common+0x8a/0xc0
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff8109bc95>] warn_slowpath_fmt+0x55/0x70
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffffa02d4bc0>] ? intel_display_power_put+0x120/0x170 [i915]
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffffa02d4c03>] intel_display_power_put+0x163/0x170 [i915]
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffffa034962d>] pps_unlock+0x3d/0x50 [i915]
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffffa034b989>] edp_panel_vdd_work+0x39/0x40 [i915]
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810b483c>] process_one_work+0x14c/0x3f0
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810b5203>] worker_thread+0x53/0x470
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810b51b0>] ? rescuer_thread+0x300/0x300
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810ba458>] kthread+0xd8/0xf0
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810ba380>] ? kthread_create_on_node+0x1b0/0x1b0
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff81773f7c>] ret_from_fork+0x7c/0xb0
Apr  9 18:13:35 eng-dhcp-123 kernel: [<ffffffff810ba380>] ? kthread_create_on_node+0x1b0/0x1b0
Apr  9 18:13:35 eng-dhcp-123 kernel: ---[ end trace 76812c6edf03a9df ]---
Apr  9 18:13:36 eng-dhcp-123 abrt-dump-journal-oops: abrt-dump-journal-oops: Found oopses: 1
Apr  9 18:13:36 eng-dhcp-123 abrt-dump-journal-oops: abrt-dump-journal-oops: Creating problem directories
Apr  9 18:13:36 eng-dhcp-123 abrt-server: Deleting problem directory oops-2015-04-09-18:13:36-673-0 (dup of oops-2015-02-11-15:47:07-694-0)
Apr  9 18:13:36 eng-dhcp-123 gnome-session: abrt-applet: repeated problem in kernel, not showing the notification
Apr  9 18:13:37 eng-dhcp-123 abrt-dump-journal-oops: Reported 1 kernel oopses to Abrt

Comment 39 Adam Jackson 2015-05-27 16:07:50 UTC
*** Bug 1173996 has been marked as a duplicate of this bug. ***

Comment 40 Adam Jackson 2015-05-27 16:07:58 UTC
*** Bug 1176458 has been marked as a duplicate of this bug. ***

Comment 41 Adam Jackson 2015-05-27 16:08:05 UTC
*** Bug 1177005 has been marked as a duplicate of this bug. ***

Comment 42 Adam Jackson 2015-05-27 16:08:12 UTC
*** Bug 1192180 has been marked as a duplicate of this bug. ***

Comment 43 Adam Jackson 2015-05-27 16:08:18 UTC
*** Bug 1192645 has been marked as a duplicate of this bug. ***

Comment 44 Adam Jackson 2015-05-27 16:08:24 UTC
*** Bug 1194237 has been marked as a duplicate of this bug. ***

Comment 45 Adam Jackson 2015-05-27 16:08:30 UTC
*** Bug 1194700 has been marked as a duplicate of this bug. ***

Comment 46 Adam Jackson 2015-05-27 16:08:35 UTC
*** Bug 1194943 has been marked as a duplicate of this bug. ***

Comment 47 Adam Jackson 2015-05-27 16:08:40 UTC
*** Bug 1208949 has been marked as a duplicate of this bug. ***

Comment 48 Michal Ambroz 2015-05-27 17:47:07 UTC
Hello guys,
when this bug of docking+sleeping the machine starts manifesting on your machine, please do you experience also other symptoms afterwards?

On my computer (HP Elitebook 840) the disappearing of the drop-down menus and similar overlay things gets unbelievably slow. What is strange - appearance of these widgets doesn't seem to be affected

Observation on machine which was put to sleep mode several times with and without docking station:
1) Open gnome-terminal
Observation - terminal opens quite fast - within 1s

2) Click "File" in the menu-bar
Observation - the dropdown menu appears instantly

3) Click "Edit" or any other window or the terminal text area
Observation - it takes 5-20 seconds to the dropdown menu to disappear. If other window was clicked it will also take cca 5-20 second before the drop-down menu is rolled-up and then focus to other application is switched instantly.

When in terminal I run some script, display is halted, and everything appears then all-at-once, but processing of the script is not slowed down or paused. It keeps on running - can be demonstrated for example by blinking the led on keyboard or sending network packets:
while true ; do 
    #Blink led on keyboard
    usleep 500000 ; xset led 3  ; usleep 500000 ; xset -led 3 ; 
    #Printout the current datetime
    date ; 
done

In this test lights on keyboard keep on blinking all the time and all seconds get displayed out at once, as soon as the display becomes responsive again.

It seems it is not whole machine halted at that time when display becomes unresponsive. Commands entered from keyboard or mouse copy-paste are still executed at respective times. 

Please note that it is not just drop-down menus, but also other similiar overlays like alternate titles, which get displayed in firefox when hovering over certain images or links. 

Interestingly some other overlays are not affected by the issue at the same moment - for example the gnome shell windows list, which appears during switching of windows, gets hidden quite fast.


Best regards
Michal

Comment 49 Adam Jackson 2015-06-01 15:58:04 UTC
Can someone who can reproduce this issue boot with drm.debug=14 on kcmdline, repro the bug, and attach the resulting dmesg?

Comment 50 Christophe Fergeau 2015-06-01 16:02:39 UTC
I used to hit that issue fairly regularly, but haven't seen it in several weeks. I'll add a comment if I see this again.

Comment 51 Fedora End Of Life 2015-11-04 10:38:15 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 52 Fedora End Of Life 2015-12-02 03:16:58 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.